Commits

Stephen McKamey committed a8d8908

rev'ing versions; updating external libs

Comments (0)

Files changed (5)

duel-compiler/pom.xml

 
 	<groupId>org.duelengine</groupId>
 	<artifactId>duel-compiler</artifactId>
-	<version>0.8.6</version>
+	<version>0.8.7</version>
 	<packaging>jar</packaging>
 
 	<name>DUEL Compiler</name>
 		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
 
 		<rhino.version>1.7R4</rhino.version>
-		<slf4j.version>1.7.2</slf4j.version>
+		<slf4j.version>1.7.5</slf4j.version>
 		<junit.version>4.11</junit.version>
 		<jvm.version>1.6</jvm.version>
 	</properties>
 			<version>${slf4j.version}</version>
 		</dependency>
 		<dependency>
-			<groupId>org.slf4j</groupId>
-			<artifactId>slf4j-jdk14</artifactId>
+			<groupId>com.pseudocode</groupId>
+			<artifactId>slf4j-compact</artifactId>
 			<version>${slf4j.version}</version>
 			<scope>test</scope>
 		</dependency>

duel-maven-plugin/pom.xml

 
 	<groupId>org.duelengine</groupId>
 	<artifactId>duel-maven-plugin</artifactId>
-	<version>0.8.6</version>
+	<version>0.8.7</version>
 	<packaging>maven-plugin</packaging>
 
 	<name>DUEL Maven Plugin</name>
 	<properties>
 		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
 
-		<slf4j.version>1.7.2</slf4j.version>
+		<slf4j.version>1.7.5</slf4j.version>
 		<maven.version>3.0.5</maven.version>
 		<junit.version>4.11</junit.version>
 		<jvm.version>1.6</jvm.version>

duel-runtime/pom.xml

 
 	<groupId>org.duelengine</groupId>
 	<artifactId>duel-runtime</artifactId>
-	<version>0.8.6</version>
+	<version>0.8.7</version>
 	<packaging>jar</packaging>
 
 	<name>DUEL Runtime</name>
 	<properties>
 		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
 
-		<slf4j.version>1.7.2</slf4j.version>
+		<slf4j.version>1.7.5</slf4j.version>
 		<junit.version>4.11</junit.version>
 		<jvm.version>1.6</jvm.version>
 	</properties>
 			<version>${slf4j.version}</version>
 		</dependency>
 		<dependency>
-			<groupId>org.slf4j</groupId>
-			<artifactId>slf4j-jdk14</artifactId>
+			<groupId>com.pseudocode</groupId>
+			<artifactId>slf4j-compact</artifactId>
 			<version>${slf4j.version}</version>
 			<scope>test</scope>
 		</dependency>

duel-staticapps-maven-plugin/pom.xml

 
 	<groupId>org.duelengine</groupId>
 	<artifactId>duel-staticapps-maven-plugin</artifactId>
-	<version>0.9.4</version>
+	<version>0.9.5</version>
 	<packaging>maven-plugin</packaging>
 
 	<name>DUEL Static Apps Maven Plugin</name>
 	<properties>
 		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
 
-		<slf4j.version>1.7.2</slf4j.version>
+		<slf4j.version>1.7.5</slf4j.version>
 		<maven.version>3.0.5</maven.version>
 		<junit.version>4.11</junit.version>
 		<jvm.version>1.6</jvm.version>

duel-staticapps/pom.xml

 
 	<groupId>org.duelengine</groupId>
 	<artifactId>duel-staticapps</artifactId>
-	<version>0.9.4</version>
+	<version>0.9.5</version>
 	<packaging>jar</packaging>
 
 	<name>DUEL Static Apps</name>
 	<properties>
 		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
 
-		<duel.version>0.8.6</duel.version>
-		<jackson.version>2.1.4</jackson.version>
-		<codec.version>1.7</codec.version>
-		<slf4j.version>1.7.2</slf4j.version>
+		<duel.version>0.8.7</duel.version>
+		<jackson.version>2.2.2</jackson.version>
+		<codec.version>1.8</codec.version>
+		<slf4j.version>1.7.5</slf4j.version>
 		<servlet.version>3.0.1</servlet.version>
 		<junit.version>4.11</junit.version>
 		<jvm.version>1.6</jvm.version>
 		<!-- Jackson JSON runtime -->
 		<dependency>
 			<groupId>com.fasterxml.jackson.core</groupId>
-			<artifactId>jackson-databind</artifactId>
+			<artifactId>jackson-core</artifactId>
 			<version>${jackson.version}</version>
 		</dependency>
 		<dependency>
 		</dependency>
 		<dependency>
 			<groupId>com.fasterxml.jackson.core</groupId>
-			<artifactId>jackson-core</artifactId>
+			<artifactId>jackson-databind</artifactId>
 			<version>${jackson.version}</version>
 		</dependency>